Page MenuHomePhabricator

Minor problems with rendering the small print in English and Russian
Closed, ResolvedPublic

Description

Currently, ‘Terms of Use’ link contains additional space which is not present in some other versions. This produces the following result, e. g., in Russian, where there is no additional space symbol either in localisation or somewhere else:

Эта страница доступна под лицензией Creative Commons Attribution-ShareAlike Условия использования• Политика конфиденциальности

(also there is no full stop in terms-license part)

So there are two problems that should be fixed:

  1. Space should be moved out of ‘Terms of Use’ in English localisation;
  2. There should be a full stop in Russian localisation and I couldn’t find a way to fix this on my own (since license message [1] is not supposed to have a full stop at the end).

First bug, presented here at 300% zoom (Firefox 56): https://cdn.discordapp.com/attachments/334077033032187906/371354382249230346/unknown.png

[1]: https://translatewiki.net/wiki/Wikimedia:Portals-license/en

Event Timeline

stjn created this task.Oct 21 2017, 6:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2017, 6:11 PM
Base added a subscriber: Base.Oct 21 2017, 7:52 PM

Can't just space be added at the end of Условия использования?

stjn added a comment.Oct 21 2017, 7:56 PM

Can't just space be added at the end of Условия использования?

Of course it could be added, but this is not the right option to pick and the localisation for Wikimedia portals, as far as I am aware, is updated every month or so (see T142582), and I believe that this change could be made much quicker than this.

Jdrewniak added a subscriber: Jdrewniak.EditedOct 23 2017, 10:49 AM

The white space, as well as the full-stop in english, is controlled by the templates in the repo, so I can go ahead and fix this.
Would it make more sense if we removed the full stop, and replaced it with a bullet character like the one between использования• Политика конфиденциальности?
So instead of

Эта страница доступна под лицензией Creative Commons Attribution-ShareAlike Условия использования• Политика конфиденциальности

It would read:

Эта страница доступна под лицензией Creative Commons Attribution-ShareAlike •  Условия использования • Политика конфиденциальности

And in English, instead of

This page is available under the Creative Commons Attribution-ShareAlike License. Terms of Use • Privacy Policy

it would read:

This page is available under the Creative Commons Attribution-ShareAlike License • Terms of Use • Privacy Policy

Change 385959 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Fixing spacing in footer license

https://gerrit.wikimedia.org/r/385959

debt assigned this task to Jdrewniak.
debt triaged this task as Normal priority.
debt moved this task from Backlog to Needs code review on the Discovery-Portal-Sprint board.
stjn added a comment.Oct 25 2017, 6:09 PM

Sorry for taking so long to answer. Have no preference about bullet/full stop, bullet is probably more ‘language-resistant’ since there are other types of full stops in other writing systems.

Base added a comment.Oct 25 2017, 6:24 PM

At least for MediaWiki translations there are messages which are marked as optional and which exacly are different kinds of separators, brackets and so forth which one does not need to translate to get the default but can if default does not work. I think it is what should be done with the separator in this case if that is possible.

debt added a subscriber: debt.Oct 26 2017, 3:18 PM

We're not sure that a decorative element ( bullet point) would need a translation in this instance. We should be able to go forward with what @Jdrewniak has in his patch.

Change 385959 merged by jenkins-bot:
[wikimedia/portals@master] Fixing spacing in footer license

https://gerrit.wikimedia.org/r/385959

This was merged and will be automatically released into production next Monday.

debt closed this task as Resolved.Dec 12 2017, 5:50 PM